import request from '@/utils/request'

// 查询质量月报Z404列表
export function listZ404(query) {
  return request({
    url: '/production/z404/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报Z404详细
export function getZ404(id) {
  return request({
    url: '/production/z404/' + id,
    method: 'get'
  })
}

// 新增质量月报Z404
export function addZ404(data) {
  return request({
    url: '/production/z404',
    method: 'post',
    data: data
  })
}

// 修改质量月报Z404
export function updateZ404(data) {
  return request({
    url: '/production/z404',
    method: 'put',
    data: data
  })
}

// 删除质量月报Z404
export function delZ404(id) {
  return request({
    url: '/production/z404/' + id,
    method: 'delete'
  })
}

// 导出质量月报Z404
export function exportZ404(query) {
  return request({
    url: '/production/z404/export',
    method: 'get',
    params: query
  })
}